### Constructor

# Gtk.Constraint.new_constant

#### Declaration [src]

    GtkConstraint*
    gtk_constraint_new_constant (
      GtkConstraintTarget* target,
      GtkConstraintAttribute target_attribute,
      GtkConstraintRelation relation,
      double constant,
      int strength
    )

#### Description [src]

Creates a new constraint representing a relation between a layout attribute on a target and a constant value.

#### Parameters

`target` | `GtkConstraintTarget`
| a the target of the constraint
| Can be `NULL`
| Ownership is not transferred to the callee
`target_attribute` | `GtkConstraintAttribute`
| the attribute of `target` to be set
`relation` | `GtkConstraintRelation`
| the relation equivalence between `target_attribute` and `constant`
`constant` | `double`
| a constant factor to be set on `target_attribute`
`strength` | `int`
| the strength of the constraint

#### Return value

Returns: `GtkConstraint`
the newly created constraint
Ownership of the data is transferred to the caller